package com.jobs.config;

import com.github.benmanes.caffeine.cache.Cache;
import com.github.benmanes.caffeine.cache.Caffeine;
import com.jobs.pojo.Employee;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.TimeUnit;

@Configuration
public class CaffeineConfig {

    @Bean
    public Cache<String, Employee> itemCache() {
        return Caffeine.newBuilder()
                //初始容量为100
                .initialCapacity(100)
                //最大容量为10000
                .maximumSize(10000)
                //写入后60秒过期
                .expireAfterWrite(60, TimeUnit.SECONDS)
                .build();
    }
}
